<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// Configuration par défaut
if (!isset($datas)) {
	$datas = array(
		'contest_id' => array(0),
		'nb_per_line' => 2,
	);
}

// Enregistrement de la configuration
if (isset($_POST['submit'])) {
	$datas = array(
		'contest_id' => implode(',', $_POST['contest_id']),
		'nb_per_line' => $_POST['nb_per_line'],
	);
}

// Récupère la liste des concours
$contests = pwg_query("SELECT 
		id,
		name
	FROM " . CR_TABLE_1 . "
	ORDER BY id ASC;"
);

// Concours selectionnés
$template->assign('COUNT',pwg_db_num_rows($contests));
$selected_ids = explode(',', $datas['contest_id']);
	
// Liste des concours
while ($contest = pwg_db_fetch_assoc($contests)) {
	$template->append('contests', array(
		'ID' => $contest['id'],
		'NAME' => trigger_event('render_category_name', $contest['name']),
		'SELECTED' => in_array($contest['id'], $selected_ids) ? true : false,
	));
} 

// Nombre de cadres
$template->assign('NB_PER_LINE', array(
	'OPTIONS' => array(1 => 1, 2 => 2, 3 => 3),
	'SELECTED' => $datas['nb_per_line'],
));


// +-----------------------------------------------------------------------+
//				Template
// +-----------------------------------------------------------------------+
$template->set_filenames(array('module_options' => dirname(__FILE__) . '/config.tpl'));
$template->assign_var_from_handle('MODULE_OPTIONS', 'module_options');

?>