{combine_css path=$CR_PATH|@cat:'template/style.css'}

{$MENUBAR}

{if !empty($PLUGIN_INDEX_CONTENT_BEFORE)}{$PLUGIN_INDEX_CONTENT_BEFORE}{/if}

<div id="content" class="content">
	<div class="titrePage">
		<ul class="categoryActions">
			{if isset($U_EDIT)}
			<li><a href="{$U_EDIT}" title="{'edit'|@translate}" class="pwg-state-default pwg-button">
				<span class="pwg-icon pwg-icon-category-edit"> </span><span class="pwg-button-text">{'edit'|@translate}</span>
			</a></li>
			{/if}
			{if !empty($PLUGIN_INDEX_ACTIONS)}{$PLUGIN_INDEX_ACTIONS}{/if}
		</ul>
		</ul>
		<h2>{'Contests'|@translate}</h2>
	</div> <!-- titrePage -->
	
{if !isset($contests)}
	<div class="nopublic" style="margin-bottom:200px;">
		{'CR_no_contest'|@translate}
	</div>
	
{else}
	<ul class="thumbnailCategories">
		{foreach from=$contests item=contest}
		<li {if !$contest.VISIBLE}class="novisible"{/if}>
			<div class="thumbnailCategory">
				<div class="illustration">
					<a href="{$contest.URL}">
					{if $contest.STATUS != 'finished' AND !empty($contest.LOGO)}
						<img src="{$contest.LOGO}" alt="{$contest.NAME}" style="max-height:120px;max-width:120px;">
					{elseif !empty($contest.RESULTS.1.TN_SRC)}
						<img src="{$contest.RESULTS.1.TN_SRC}" alt="{$contest.NAME|@replace:'"':' '}">
					{/if}
					</a>
				</div>
				<div class="description">
					<h3><a href="{$contest.URL}">{$contest.NAME}</a></h3>
					<div class="text">
						<p class="Nb_images">{$contest.DATE_BEGIN} - {$contest.DATE_END}</p>
						<span class="CR_finished">({$contest.DAYS})</span>
						<p>
						{if $contest.STATUS != 'finished' AND !empty($contest.SUMMARY)}
							{$contest.SUMMARY}
						{else}
							{foreach from=$contest.RESULTS item=result}
								{'CR_order_'|cat:$result.RANK|@translate} {'CR_place'|@translate} - <u>{$result.AUTHOR}</u><br>
							{/foreach}
						{/if}
						</p>
					</div>
				</div>
			</div>
		</li>
		{/foreach}
	</ul>
{/if}
</div> <!-- content -->

{if !empty($PLUGIN_INDEX_CONTENT_AFTER)}{$PLUGIN_INDEX_CONTENT_AFTER}{/if}